Subject: bug#18109: 24.4.50; `compilation-error-regexp-alist-alist': wrong regexp for Maven

From: Mattias Engdegård <[email-masked]>
Date: Sun, 6 Dec 2020 10:32:27 +0100

5 dec. 2020 kl. 23.21 skrev Filipp Gunbin <[email-masked]>:

> Now the regexp seems to catch both prefixed and non-prefixed messages,
> what else should be resolved here?

Ah, yes. Apart from the examples in compilation.txt, I could not find any evidence for non-prefixed messages ever being emitted. Since I'm not a Maven user myself, it would be useful to know if the non-prefixed example was just an oversight or an actual occurrence.

It is not a major problem but I like doing a proper work. Having patterns that match more than their strict minimum can be troublesome for two reasons: a regexp may accidentally catch a message intended for another pattern, and it may slow down message matching. Both have been issues several times in the past, which is why I'm wary of having too-loose regexps in the list.